NSX-T Data Center REST API

Patch threshold configuration for IDS system signature

Patch threshold and rate filter configuration for IDS signature globally.
This API is applicable only for 'System' signatures.
Either or both of threshold and rate filter configuration can be provided.

Request:

Method:
PATCH
URI Path(s):
/policy/api/v1/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/{signature-id}
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
IdsThresholdConfig+

Example Request:

PATCH https://<policy-mgr>/policy/api/v1/infra/settings/firewall/security/intrusion-services/global-signatures/threshold-configs/1060759 { "threshold": { "threshold_type": "THRESHOLD", "count": 12, "time_period": 160 }, "rate_filter": { "count": 20, "time_period": 40, "timeout": 400, "new_action": "DROP" } }

Successful Response:

Response Code:
200 OK
Response Headers:
n/a
Response Body:
n/a

Required Permissions:

crud

Feature:

policy_common_ids

Additional Errors: